#include <Machine/MItemProcessor/MMacerator/MMacerator.hpp>
#include <MaceratorRuleRegistry/MaceratorRuleRegistry.hpp>

ItemStack MMacerator::getOutputItem(ItemStack &input)
{
    return maceratorRuleRegistry.getMaceratorOutput(input);
}

int MMacerator::getPowerUsage()
{
    return 30;
}

std::string MMacerator::displayName("Macerator");
std::string MMacerator::machineBlockName("main:macerator");
std::string MMacerator::verb("Macerates");
std::string MMacerator::helpUrl("articles/macerator");

ItemStack MMacerator::getOutputItemS(ItemStack &input)
{
    return maceratorRuleRegistry.getMaceratorOutput(input);
}

MMacerator::MMacerator(LocalWorld &world, glm::ivec3 pos) : MItemProcessor(world, pos) {}

int MMacerator::getCompletedProgress()
{
    return completedProgress;
}